.theme-body {
  display: block;
  width: 100%;
  height: 100vh;
  color: var(--ion-text-color);
  background-color: var(--ion-background-color);
  font-size: 16px;
  font-family: Roboto;
  overflow-y: auto;

  .theme-block {
    position: relative;
    display: block;
    text-align: center;
    width: 100%;
    min-width: 320px;
    height: 100vh;
    padding: 10px 10px 20px;

    .content-wrapper {
      position: relative;
      display: inline-block;
      text-align: left;
      top: 50%;
      transform: translateY(-50%);
      max-width: 100%;

      .iota-loading-wrapper {
        width: 200px;
        height: 200px;

        .iota-loading {
          background: transparent url("/ipo/assets/logos/IOTA.svg") no-repeat
            center center;
          background-size: 100% 100%;
          width: 100%;
          height: 100%;
          filter: var(--fg-svg);
          -webkit-animation: spin 5s linear infinite;
          animation: spin 5s linear infinite;

          @-webkit-keyframes spin {
            0% {
              transform: rotate(0);
            }

            100% {
              transform: rotate(360deg);
            }
          }

          @-moz-keyframes spin {
            0% {
              -moz-transform: rotate(0);
            }

            100% {
              -moz-transform: rotate(360deg);
            }
          }

          @keyframes spin {
            0% {
              transform: rotate(0);
            }

            100% {
              transform: rotate(360deg);
            }
          }
        }
      }
    }
  }
}

.noselect {
  -webkit-touch-callout: none;
  /* iOS Safari */
  -webkit-user-select: none;
  /* Safari */
  -khtml-user-select: none;
  /* Konqueror HTML */
  -moz-user-select: none;
  /* Firefox */
  -ms-user-select: none;
  /* Internet Explorer/Edge */
  user-select: none;
  /* Non-prefixed version, currently supported by Chrome and Opera */
}
